Subject: Re: [PATCH v2 3/5] alx: add stats update function

From: Sabrina Dubroca <[email-masked]>
Date: Sun, 5 Jan 2014 00:16:32 +0100

[2014-01-04] Stephen Hemminger wrote:
> On Sat,  4 Jan 2014 17:47:09 +0100
> Sabrina Dubroca <[email-masked]> wrote:
> 
> >  }
> > +
> > +void __alx_update_hw_stats(struct alx_hw *hw)
> 
> Minor NIT:
> Why __ prefix? that is usually reserved for functions only
> called from one file (or when wrapping an existing API)

In the original code, that's the name it had, so I just kept it. There
were two additional wrappers, but in Johannes's rewrite of the driver,
they became unnecessary.
I'll rename it to alx_update_hw_stats in v3.

I didn't know about that convention. I can't find a reference in
Documentation/CodingStyle, or from a quick look at a grep in the rest
of the files there: maybe it should be added to the documentation?

Thanks,

-- 
Sabrina